package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.IconType;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface IconTypeService {
	IconType get(String id);
	boolean exist(String id);
	int insert(IconType model);
	int update(IconType model);
	int delete(String id);
	List<IconType> list();
	Page<IconType> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}